#import sys
#import os
#sys.path.append('/srv/narcissus')
#os.environ['PYTHON_EGG_CACHE'] = '/srv/narcissus/.python-eggs'
#sys.stdout = sys.stderr

from moksha.wsgi.middleware import make_moksha_middleware
from tw2.core.middleware import make_middleware as make_tw2_middleware

from narcissus.app.routes import app, load_production_config

config = load_production_config('/etc/narcissus.ini')

app.wsgi_app = make_moksha_middleware(app.wsgi_app, config)
app.wsgi_app = make_tw2_middleware(app.wsgi_app, config)

application = app.wsgi_app
